Update workspace
curl --request PUT \
--url https://app.anlytic.com/api/v1/workspaces/{workspace_slug} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"public": true,
"archived": true,
"fivetran_key": "<string>",
"system_ai_key": "<string>",
"settings": {},
"ai_keys": {}
}
'import requests
url = "https://app.anlytic.com/api/v1/workspaces/{workspace_slug}"
payload = {
"name": "<string>",
"slug": "<string>",
"public": True,
"archived": True,
"fivetran_key": "<string>",
"system_ai_key": "<string>",
"settings": {},
"ai_keys": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
public: true,
archived: true,
fivetran_key: '<string>',
system_ai_key: '<string>',
settings: {},
ai_keys: {}
})
};
fetch('https://app.anlytic.com/api/v1/workspaces/{workspace_slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workId": "550e8400-e29b-41d4-a716-446655440000",
"name": "<string>",
"slug": "<string>",
"public": true,
"archived": true,
"plan": {
"plan": "<string>",
"price": 123,
"status": "<string>",
"overwritten": true,
"trial_ends_at": "2024-01-15T10:30:00Z"
},
"fivetran_key": true,
"system_key": true,
"createdAt": "2024-01-15T10:30:00Z",
"updatedAt": "2024-01-15T10:30:00Z",
"settings": {
"default_language": "<string>",
"default_theme": "<string>",
"ai_enabled": true,
"mfa_enforced": true,
"mfa_required": true
}
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Update workspace
Requires workspace_admin role.
Update workspace
Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
URL-friendly workspace identifier
Example:
"acme"
Body
application/json
Response
Updated workspace
Example:
"550e8400-e29b-41d4-a716-446655440000"
Show child attributes
Show child attributes
Example:
"2024-01-15T10:30:00Z"
Example:
"2024-01-15T10:30:00Z"
Show child attributes
Show child attributes
Last modified on July 23, 2026
⌘I